﻿using OpcLabs.BaseLib.ComponentModel;
using OpcLabs.EasyOpc.UA;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp9
{
   internal class Program
   {
      static void Main(string[] args)
      {
         try
         {
            LicensingManagement.Instance.RegisterManagedResourceWithExistenceCheck("QuickOPC", "Multipurpose", Assembly.GetExecutingAssembly(), "Key-Evaluation-WebForm-1999001447-20231208.txt");
            EasyUAClient _opcClient = new EasyUAClient();
            long serialNumber = (uint)_opcClient.LicenseInfo["Multipurpose.SerialNumber"];
            Console.ReadLine();
         }
         catch (Exception ex)
         {
            Console.WriteLine(ex.Message.ToString());
         }
      }
   }
}
